<?php if ($this->https_enabled && $this->https_key) : ?>

  <VirtualHost <?php print "*:{$https_port}"; ?>>
  <?php if ($this->site_mail) : ?>
    ServerAdmin <?php  print $this->site_mail; ?>
  <?php endif;?>

    DocumentRoot <?php print $this->root; ?>

    ServerName <?php print $this->uri; ?>

    SetEnv db_type  <?php print urlencode($db_type); ?>

    SetEnv db_name  <?php print urlencode($db_name); ?>

    SetEnv db_user  <?php print urlencode($db_user); ?>

    SetEnv db_passwd  <?php print urlencode($db_passwd); ?>

    SetEnv db_host  <?php print urlencode($db_host); ?>

    SetEnv db_port  <?php print urlencode($db_port); ?>

    # Enable SSL handling.

    SSLEngine on

    <?php if (!empty((string) $this->https_cert) && file_exists($this->https_cert)) : ?>
      SSLCertificateFile <?php print $this->https_cert; ?>
    <?php endif; ?>

    <?php if (!empty((string) $this->https_cert_key) && file_exists($this->https_cert_key)): ?>
      SSLCertificateKeyFile <?php print $this->https_cert_key; ?>
    <?php endif; ?>

    <?php if (!empty((string) $this->https_cert_chain) && file_exists($this->https_cert_chain)) : ?>
      SSLCertificateChainFile <?php print $this->https_cert_chain; ?>
    <?php endif; ?>

    <?php
    if (sizeof($this->aliases)) {
      foreach ($this->aliases as $alias) {
        print "  ServerAlias " . $alias . "\n";
      }
    }
    ?>

    <IfModule mod_rewrite.c>

    RewriteEngine on
    # the ? at the end is to remove any query string in the original url
    RewriteRule ^(.*)$ <?php print $this->platform->server->web_disable_url . '/' . $this->uri ?>?
    </IfModule>

</VirtualHost>
<?php endif; ?>

<?php
  include(provision_class_directory('Provision_Config_Apache_Site') . '/vhost_disabled.tpl.php');
?>
